#
# spec file for package psi+-lang
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define version_unconverted 1.4.877+2

Name:           psi+-lang
Url:            https://github.com/psi-plus/psi-plus-l10n
Version:        1.4.877+2
Release:        lp150.2.3.1
Summary:        Translations for Psi+
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Talk/Clients
Source0:        psi-plus-l10n-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libqt5-linguist
# for qmake-qt5:
BuildRequires:  libqt5-qtbase-common-devel
BuildRequires:  xz
Requires:       psi+
BuildArch:      noarch
Obsoletes:      psi+-lang > 20100101

%description
Various translations for Psi+.

%prep
%setup -q -n psi-plus-l10n-%{version}

sed -i 's@\<lrelease\>@&-qt5@' update-translations.sh

%build
./update-translations.sh make

%install
install -d %{buildroot}%{_datadir}/psi-plus
install -m 0644 -t %{buildroot}%{_datadir}/psi-plus out/*.qm

%files
%defattr(-,root,root)
%dir %{_datadir}/psi-plus/
%{_datadir}/psi-plus/*.qm

%changelog
* Fri Sep 27 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.877
* Mon Jul  1 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.766
* Thu May 16 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.684
* Tue Feb 26 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.566
* Wed Jan 23 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.532
* Thu Nov 29 2018 Jiri Slaby <jslaby@suse.com>
- update to 1.4.404
* Thu Oct 11 2018 Jiri Slaby <jslaby@suse.cz>
- update to 1.3.415.1
* Thu Jul  5 2018 jslaby@suse.com
- update to 1.3.393
* Thu May  3 2018 jslaby@suse.com
- update to 1.3.300
* Sun Jan 21 2018 jslaby@suse.com
- update to 1.2.156+1
* Sun Dec 10 2017 jslaby@suse.com
- update to 1.2.107+3
* Mon Oct 16 2017 jslaby@suse.com
- update to 1.2.98+1
* Wed Oct  4 2017 jslaby@suse.com
- update to 1.2.91
* Tue Sep  5 2017 jslaby@suse.com
- update to 1.2.39
* Wed Aug 23 2017 jslaby@suse.com
- update to 1.2.28
* Fri Jul 28 2017 jslaby@suse.com
- update to 1.2.12
* Thu Jun 22 2017 jslaby@suse.com
- update to 1.0.79+3
* Fri Jun  2 2017 jslaby@suse.com
- update to 1.0.9+1
* Tue May 23 2017 jslaby@suse.com
- split off psi+ to handle versions of -lang correctly
- update to 0.16.584.737+0
